curl --request GET \
--url https://api.dexpaprika.com/pools/searchimport requests
url = "https://api.dexpaprika.com/pools/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dexpaprika.com/pools/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"dex_id": "<string>",
"dex_name": "<string>",
"chain": "<string>",
"created_at_block_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"volume_usd_24h": 123,
"transactions_24h": 123,
"price_usd": 123,
"price_change_percentage_5m": 123,
"price_change_percentage_1h": 123,
"price_change_percentage_6h": 123,
"price_change_percentage_24h": 123,
"fee": 123,
"volume_usd_7d": 123,
"volume_usd_30d": 123,
"liquidity_usd": 123,
"tokens": [
{
"id": "usdc-usd-coin",
"name": "USD Coin",
"symbol": "USDC",
"decimals": 6,
"description": "True financial interoperability requires a price stable means of value exchange...",
"website": "https://www.centre.io/usdc",
"explorer": "https://etherscan.io/token/0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
}
]
}
],
"has_next_page": true,
"next_cursor": "<string>",
"query": {
"chains": "<string>",
"limit": 123,
"cursor": "<string>",
"volume_usd_24h_min": 123,
"volume_usd_24h_max": 123,
"volume_usd_7d_min": 123,
"volume_usd_7d_max": 123,
"volume_usd_30d_min": 123,
"volume_usd_30d_max": 123,
"liquidity_usd_min": 123,
"liquidity_usd_max": 123,
"txns_24h_min": 123,
"txns_24h_max": 123,
"created_after": 123,
"created_before": 123,
"price_usd_min": 123,
"price_usd_max": 123,
"price_change_percentage_6h_min": 123,
"price_change_percentage_6h_max": 123,
"price_change_percentage_1h_min": 123,
"price_change_percentage_1h_max": 123,
"price_change_percentage_5m_min": 123,
"price_change_percentage_5m_max": 123,
"price_change_percentage_24h_min": 123,
"price_change_percentage_24h_max": 123,
"dex_name": "<string>",
"order_by": "volume_usd_24h",
"sort": "asc",
"detailed": true
}
}Advanced pool filtering across multiple networks.
Retrieves a paginated list of pools matching the advanced search criteria across multiple chains. Supports various filters and cursor-based pagination.
Query Parameters
Comma-separated list of chains to search in (e.g., 'ethereum,polygon'). If empty, all chains are searched.
Number of items to return per page (max 100).
1 <= x <= 100Cursor for pagination.
Filter pools with a 6h price change percentage greater than or equal to this value.
Filter pools with a 6h price change percentage less than or equal to this value.
Filter pools with a 1h price change percentage greater than or equal to this value.
Filter pools with a 1h price change percentage less than or equal to this value.
Filter pools with a 5m price change percentage greater than or equal to this value.
Filter pools with a 5m price change percentage less than or equal to this value.
Filter pools with a 24h price change percentage greater than or equal to this value.
Filter pools with a 24h price change percentage less than or equal to this value.
volume_usd_24h, volume_usd_7d, volume_usd_30d, liquidity_usd, txns_24h, created_at, price_usd, price_change_percentage_24h, price_change_percentage_6h, price_change_percentage_1h, price_change_percentage_5m asc, desc If true, the response will include enriched data.
Was this page helpful?